orte/mca/ns/replica/src/ns_replica_component.c File Reference.TH "orte/mca/ns/replica/src/ns_replica_component.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/ns/replica/src/ns_replica_component.c \- The Open MPI Name Server. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'include/orte_types.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'util/proc_info.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/base/mca_base_param.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/rml/rml.h'\fP
.br
\fC#include 'ns_replica.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "static void \fBorte_ns_replica_cell_tracker_construct\fP (orte_ns_replica_cell_tracker_t *cell_tracker)"
.br
.ti -1c
.RI "static void \fBorte_ns_replica_cell_tracker_destructor\fP (orte_ns_replica_cell_tracker_t *cell_tracker)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_ns_replica_cell_tracker_t, \fBopal_object_t\fP, orte_ns_replica_cell_tracker_construct, orte_ns_replica_cell_tracker_destructor)"
.br
.ti -1c
.RI "static void \fBorte_ns_replica_jobid_tracker_construct\fP (orte_ns_replica_jobid_tracker_t *jobid_tracker)"
.br
.ti -1c
.RI "static void \fBorte_ns_replica_jobid_tracker_destructor\fP (orte_ns_replica_jobid_tracker_t *jobid_tracker)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_ns_replica_jobid_tracker_t, \fBopal_object_t\fP, orte_ns_replica_jobid_tracker_construct, orte_ns_replica_jobid_tracker_destructor)"
.br
.ti -1c
.RI "static void \fBorte_ns_replica_tagitem_construct\fP (orte_ns_replica_tagitem_t *tagitem)"
.br
.ti -1c
.RI "static void \fBorte_ns_replica_tagitem_destructor\fP (orte_ns_replica_tagitem_t *tagitem)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_ns_replica_tagitem_t, \fBopal_object_t\fP, orte_ns_replica_tagitem_construct, orte_ns_replica_tagitem_destructor)"
.br
.ti -1c
.RI "static void \fBorte_ns_replica_dti_construct\fP (orte_ns_replica_dti_t *dti)"
.br
.ti -1c
.RI "static void \fBorte_ns_replica_dti_destructor\fP (orte_ns_replica_dti_t *dti)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_ns_replica_dti_t, \fBopal_object_t\fP, orte_ns_replica_dti_construct, orte_ns_replica_dti_destructor)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_open\fP (void)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_close\fP (void)"
.br
.ti -1c
.RI "mca_ns_base_module_t * \fBorte_ns_replica_init\fP (int *priority)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_module_init\fP (void)"
.br
.ti -1c
.RI "int \fBorte_ns_replica_finalize\fP (void)"
.br
.ti -1c
.RI "void \fBorte_ns_replica_recv\fP (int status, orte_process_name_t *sender, \fBorte_buffer_t\fP *buffer, \fBorte_rml_tag_t\fP tag, void *cbdata)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_COMP_EXPORT mca_ns_base_component_t \fBmca_ns_replica_component\fP"
.br
.ti -1c
.RI "static mca_ns_base_module_t \fBorte_ns_replica_module\fP"
.br
.ti -1c
.RI "static bool \fBinitialized\fP = false"
.br
.ti -1c
.RI "orte_ns_replica_globals_t \fBorte_ns_replica\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI Name Server. 

The Open MPI Name Server provides unique name ranges for processes within the universe. Each universe will have one name server running within the seed daemon. This is done to prevent the inadvertent duplication of names.
.SH "Variable Documentation"
.PP 
.SS "OMPI_COMP_EXPORT mca_ns_base_component_t mca_ns_replica_component"
.PP
\fBInitial value:\fP
.PP
.nf
 {
  {
    MCA_NS_BASE_VERSION_1_0_0,

    'replica', 
    ORTE_MAJOR_VERSION,  
    ORTE_MINOR_VERSION,  
    ORTE_RELEASE_VERSION,  
    orte_ns_replica_open,  
    orte_ns_replica_close 
  },
  {
    false 
  },
  orte_ns_replica_init,    
  orte_ns_replica_finalize 
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
